Bug 835226 - [abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/ismaelrota_40hotmail_2ecom at 0x19564d0>
[abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:695cf8920c3d52d8f0821c267c3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 15:49 EDT by Ismael Sosa
Modified: 2013-02-13 06:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 06:24:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ismael Sosa 2012-06-25 15:49:42 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/libexec/telepathy-butterfly
executable:     /usr/libexec/telepathy-butterfly
kernel:         3.4.2-1.fc16.x86_64
time:           Mon 25 Jun 2012 09:41:07 PM CEST
uid:            500
username:       ismael

backtrace:
:connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/ismaelrota_40hotmail_2ecom at 0x19564d0>
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 438, in disconnected
:    self._state = ClientState.CLOSED
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 330, in fset
:    self._dispatch("on_client_state_changed", state)
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 44, in _dispatch
:    if event_handler._dispatch_event(name, *args):
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 65, in _dispatch_event
:    handler(*params)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 393, in on_client_state_changed
:    self._disconnected()
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 286, in _disconnected
:    self._manager.disconnected(self)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection_manager.py", line 51, in disconnected
:    result = telepathy.server.ConnectionManager.disconnected(self, conn)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/connmgr.py", line 65, in disconnected
:    self._connections.remove(conn)
:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/ismaelrota_40hotmail_2ecom at 0x19564d0>
:
:Local variables in innermost frame:
:self: <butterfly.connection_manager.ButterflyConnectionManager at /org/freedesktop/Telepathy/ConnectionManager/butterfly at 0x1956090>
:conn: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/ismaelrota_40hotmail_2ecom at 0x19564d0>

smolt_data:
:
:
:General
:=================================
:UUID: 14a96766-1531-4c50-a44d-827e7fa37d39
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 6029.12
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) D CPU 3.00GHz
:CPU Stepping: 2
:CPU Family: 15
:CPU Model Num: 6
:Number of CPUs: 2
:CPU Speed: 3000
:System Memory: 3263
:System Swap: 4031
:Vendor: DataLogic
:System:  
:Form factor: Desktop
:Kernel: 3.4.2-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(5348:5789:5208:57344) pci, tg3, ETHERNET, NetLink BCM5789 Gigabit Ethernet PCI Express
:(6164:513:6041:28682) pci, rt2500pci, NETWORK, F5D7000 v2000/v3000 Wireless G Desktop Card
:(32902:10196:0:0) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 3
:(32902:10176:5208:45058) pci, ata_piix, STORAGE, N10/ICH7 Family SATA IDE Controller
:(32902:10192:0:0) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10168:5208:20481) pci, None, PCI/ISA, 82801GB/GR (ICH7 Family) LPC Interface Bridge
:(32902:10200:5208:41218) pci, snd_hda_intel, MULTIMEDIA, GA-8I945PG-RH Mainboard
:(32902:10202:5208:20481) pci, i801_smbus, SERIAL, GA-8I945PG-RH Mainboard
:(32902:9294:0:0) pci, None, PCI/PCI, 82801 PCI Bridge
:(4318:4160:4318:2325) pci, nvidia, VIDEO, N/A
:(32902:10185:5208:20484) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:5208:20484) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10096:5208:20480) pci, None, HOST/PCI, 82945G/GZ/P/PL Memory Controller Hub
:(32902:10186:5208:20484) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(4318:3592:4318:2325) pci, snd_hda_intel, MULTIMEDIA, HDMI Audio stub
:(32902:10187:5208:20484) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:5208:20486) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:(32902:10097:5208:20480) pci, pcieport, PCI/PCI, 82945G/GZ/P/PL PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_dark7-lv_root / ext4 4096 4096 13092026 10130826 9999804 3276800 2913823 2913823
:/dev/sda1 /boot ext4 1024 1024 508745 409022 383422 128016 127764 127764
:/dev/mapper/vg_dark7-lv_home /home ext4 4096 4096 46947000 15422889 13072605 11755520 11609207 11609207
:
Comment 1 Fedora End Of Life 2013-01-16 06:50:46 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 06:24:44 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.